let Panorama = {
  groups: 7,

  init: function() {
    this.resizeGroups();

    let add = document.getElementById("panorama-add");
    add.addEventListener("click", this.addGroup);
  },

  addRow: function() {
    for (var i = 0; i < this.columns(); i++) {
      this.addGroup();
    }
  },

  addGroup: function() {
    let group = document.createElement("div");
    group.className = "panorama-group";
    let grid = document.getElementById("panorama-grid");
    grid.appendChild(group);
    Panorama.groups++;
    Panorama.resizeGroups();
  },

  rows: function() {
    return Math.ceil(this.groups / this.columns());
  },

  columns: function() {
    return Math.min(this.groups, 3);
  },

  resizeGroups: function() {
    if (!this.style) {
      this.style = document.createElement("style");
      this.style.type = "text/css";
      document.getElementsByTagName('head')[0].appendChild(this.style);
    }
    // let s = document.styleSheets[document.styleSheets.length - 1];
    // s.insertRule(".panorama-group { width: -moz-calc(100% / " + this.columns() + " - 10px); height: -moz-calc(100% / " + this.rows() + " - 10px); }", 0);
    let s = document.styleSheets[document.styleSheets.length - 1];
    this.style.textContent = ".panorama-group { width: -moz-calc(100% / " + this.columns() + " - 10px); height: -moz-calc(100% / " + this.rows() + " - 10px); }";
  }
}

window.onload = function() {
  Panorama.init();
};